## NMSettingGsm NMSettingGsm — Describes GSM/3GPP-based mobile broadband properties |

## Functions

NMSetting * | nm_setting_gsm_new ()
gboolean | nm_setting_gsm_get_auto_config ()
const char * | nm_setting_gsm_get_username ()
const char * | nm_setting_gsm_get_password ()
const char * | nm_setting_gsm_get_apn ()
const char * | nm_setting_gsm_get_network_id ()
const char * | nm_setting_gsm_get_pin ()
gboolean | nm_setting_gsm_get_home_only ()
const char * | nm_setting_gsm_get_device_id ()
const char * | nm_setting_gsm_get_sim_id ()
const char * | nm_setting_gsm_get_sim_operator_id ()
guint32 | nm_setting_gsm_get_mtu ()
const char * | nm_setting_gsm_get_number ()
NMSettingSecretFlags | nm_setting_gsm_get_pin_flags ()
NMSettingSecretFlags | nm_setting_gsm_get_password_flags ()

## Types and Values

#define | NM_SETTING_GSM_SETTING_NAME
#define | NM_SETTING_GSM_AUTO_CONFIG
#define | NM_SETTING_GSM_USERNAME
#define | NM_SETTING_GSM_PASSWORD
#define | NM_SETTING_GSM_PASSWORD_FLAGS
#define | NM_SETTING_GSM_APN
#define | NM_SETTING_GSM_NETWORK_ID
#define | NM_SETTING_GSM_PIN
#define | NM_SETTING_GSM_PIN_FLAGS
#define | NM_SETTING_GSM_HOME_ONLY
#define | NM_SETTING_GSM_DEVICE_ID
#define | NM_SETTING_GSM_SIM_ID
#define | NM_SETTING_GSM_SIM_OPERATOR_ID
#define | NM_SETTING_GSM_MTU
#define | NM_SETTING_GSM_NUMBER

## Description

The NMSettingGsm object is a NMSetting subclass that describes properties that allow connections to 3GPP-based mobile broadband networks, including those using GPRS/EDGE and UMTS/HSPA technology.

## Functions

### nm_setting_gsm_new ()

    NMSetting *
    nm_setting_gsm_new (void);

Creates a new NMSettingGsm object with default values.

#### Returns

the new empty NMSettingGsm object

### nm_setting_gsm_get_auto_config ()

    gboolean
    nm_setting_gsm_get_auto_config (NMSettingGsm *setting);

#### Parameters

setting | the NMSettingGsm |

#### Returns

the “auto-config” property of the setting

Since: 1.22

### nm_setting_gsm_get_username ()

    const char *
    nm_setting_gsm_get_username (NMSettingGsm *setting);

#### Parameters

setting | the NMSettingGsm |

#### Returns

the “username” property of the setting

### nm_setting_gsm_get_password ()

    const char *
    nm_setting_gsm_get_password (NMSettingGsm *setting);

#### Parameters

setting | the NMSettingGsm |

#### Returns

the “password” property of the setting

### nm_setting_gsm_get_apn ()

    const char *
    nm_setting_gsm_get_apn (NMSettingGsm *setting);

#### Parameters

setting | the NMSettingGsm |

#### Returns

the “apn” property of the setting

### nm_setting_gsm_get_network_id ()

    const char *
    nm_setting_gsm_get_network_id (NMSettingGsm *setting);

#### Parameters

setting | the NMSettingGsm |

#### Returns

the “network-id” property of the setting

### nm_setting_gsm_get_pin ()

    const char *
    nm_setting_gsm_get_pin (NMSettingGsm *setting);

#### Parameters

setting | the NMSettingGsm |

#### Returns

the “pin” property of the setting

### nm_setting_gsm_get_home_only ()

    gboolean
    nm_setting_gsm_get_home_only (NMSettingGsm *setting);

#### Parameters

setting | the NMSettingGsm |

#### Returns

the “home-only” property of the setting

### nm_setting_gsm_get_device_id ()

    const char *
    nm_setting_gsm_get_device_id (NMSettingGsm *setting);

#### Parameters

setting | the NMSettingGsm |

#### Returns

the “device-id” property of the setting

Since: 1.2

### nm_setting_gsm_get_sim_id ()

    const char *
    nm_setting_gsm_get_sim_id (NMSettingGsm *setting);

#### Parameters

setting | the NMSettingGsm |

#### Returns

the “sim-id” property of the setting

Since: 1.2

### nm_setting_gsm_get_sim_operator_id ()

    const char *
    nm_setting_gsm_get_sim_operator_id (NMSettingGsm *setting);

#### Parameters

setting | the NMSettingGsm |

#### Returns

the “sim-operator-id” property of the setting

Since: 1.2

### nm_setting_gsm_get_mtu ()

    guint32
    nm_setting_gsm_get_mtu (NMSettingGsm *setting);

#### Parameters

setting | the NMSettingGsm |

#### Returns

the “mtu” property of the setting

Since: 1.8

### nm_setting_gsm_get_number ()

    const char *
    nm_setting_gsm_get_number (NMSettingGsm *setting);

`nm_setting_gsm_get_number` has been deprecated since version 1.16 and should not be used in newly-written code.

User-provided values for this setting are no longer used.

#### Parameters

setting | the NMSettingGsm |

#### Returns

the “number” property of the setting

### nm_setting_gsm_get_pin_flags ()

    NMSettingSecretFlags
    nm_setting_gsm_get_pin_flags (NMSettingGsm *setting);

#### Parameters

setting | the NMSettingGsm |

#### Returns

the NMSettingSecretFlags pertaining to the “pin”

### nm_setting_gsm_get_password_flags ()

    NMSettingSecretFlags
    nm_setting_gsm_get_password_flags (NMSettingGsm *setting);

#### Parameters

setting | the NMSettingGsm |

#### Returns

the NMSettingSecretFlags pertaining to the “password”

## Types and Values

### NM_SETTING_GSM_SETTING_NAME

    #define NM_SETTING_GSM_SETTING_NAME "gsm"

### NM_SETTING_GSM_AUTO_CONFIG

    #define NM_SETTING_GSM_AUTO_CONFIG     "auto-config"

### NM_SETTING_GSM_USERNAME

    #define NM_SETTING_GSM_USERNAME        "username"

### NM_SETTING_GSM_PASSWORD

    #define NM_SETTING_GSM_PASSWORD        "password"

### NM_SETTING_GSM_PASSWORD_FLAGS

    #define NM_SETTING_GSM_PASSWORD_FLAGS  "password-flags"

### NM_SETTING_GSM_APN

    #define NM_SETTING_GSM_APN             "apn"

### NM_SETTING_GSM_NETWORK_ID

    #define NM_SETTING_GSM_NETWORK_ID      "network-id"

### NM_SETTING_GSM_PIN

    #define NM_SETTING_GSM_PIN             "pin"

### NM_SETTING_GSM_PIN_FLAGS

    #define NM_SETTING_GSM_PIN_FLAGS       "pin-flags"

### NM_SETTING_GSM_HOME_ONLY

    #define NM_SETTING_GSM_HOME_ONLY       "home-only"

### NM_SETTING_GSM_DEVICE_ID

    #define NM_SETTING_GSM_DEVICE_ID       "device-id"

### NM_SETTING_GSM_SIM_ID

    #define NM_SETTING_GSM_SIM_ID          "sim-id"

### NM_SETTING_GSM_SIM_OPERATOR_ID

    #define NM_SETTING_GSM_SIM_OPERATOR_ID "sim-operator-id"

### NM_SETTING_GSM_MTU

    #define NM_SETTING_GSM_MTU             "mtu"

### NM_SETTING_GSM_NUMBER

    #define NM_SETTING_GSM_NUMBER "number"